Skip to main content
GET
/
insider-trades
Get insider trades
curl --request GET \
  --url https://api.aisa.one/apis/v1/financial/insider-trades \
  --header 'Authorization: Bearer <token>'
{
  "insider_trades": [
    {
      "ticker": "<string>",
      "issuer": "<string>",
      "name": "<string>",
      "title": "<string>",
      "is_board_director": true,
      "transaction_date": "2023-12-25",
      "transaction_shares": 123,
      "transaction_price_per_share": 123,
      "transaction_value": 123,
      "shares_owned_before_transaction": 123,
      "shares_owned_after_transaction": 123,
      "security_title": "<string>",
      "filing_date": "2023-12-25"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ticker
string
required

The ticker symbol of the company.

limit
integer
default:10

The maximum number of transactions to return (default: 10).

name
string

Filter by insider name (e.g., 'Jen Hsun Huang'). Use the /insider-trades/names endpoint to get available names for a ticker.

transaction_type
string

Filter by transaction type (e.g., 'Open market sale', 'Gift'). Use the /insider-trades/transaction-types endpoint to get available types.

filing_date
string<date>

Filter by exact filing date in YYYY-MM-DD format.

filing_date_gte
string<date>

Filter by filing date greater than or equal to this date (YYYY-MM-DD).

filing_date_lte
string<date>

Filter by filing date less than or equal to this date (YYYY-MM-DD).

filing_date_gt
string<date>

Filter by filing date greater than this date (YYYY-MM-DD).

filing_date_lt
string<date>

Filter by filing date less than this date (YYYY-MM-DD).

Response

Insider trades response

insider_trades
object[]